package com.wecloud.im.enums;

import io.geekidea.springbootplus.framework.common.enums.BaseEnum;

public enum PlatformEnum implements BaseEnum {

    WEB(1, "web端"),
    ANDROID(2, "安卓端"),
    IOS(3, "IOS端"),
    WIN(4, "PC-windows端"),
    MAC(5, "PC-macOs端");

    private final Integer code;
    private final String desc;

    PlatformEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }


    @Override
    public Integer getCode() {
        return this.code;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }
}
